Patch: Ultimate statusbar patch

Rating: 
4.6
Your rating: None Average: 4.6 (10 votes)

MOVED TO WEB-CATALOG

DISCLAIMER:

SINCE PATCH-VERSION 2.2.0.49-3 PATCHMANAGER3 IS REQUIRED DUE SAFETY REASONS!

PLEASE, UNAPPLY PATCH MANUALLY BEFORE UPGRADING PATCH TO 2.0.2.49-3!

WARNING! MAY CAUSE BOOTLOOP IF YOU USE SAILFISHOS-PORTS! USE AT YOR OWN RISK!!!

Combination of many statusbar patches:

Obviosly these packages were added into spec-file as conflicts, so you should remove them through WareHouse or terminal.

It has user-friendly settings page with translations support. Currently supports these languages:

  • Russian
  • English 

Why? It's prevents tons of conflicts and now I should update only one patch instead five :D 

Donations are welcome :)

Support

Screenshots: 
Changelog: 

AlienDalvik indicator

Hide battery icon (optional)

Comments

mixmax's picture

Yeah, that's ok ! Tks a lot.

mixmax's picture

One of my favorites patches !

Have you planed to update it to run with the last SFOS ?

I can wait (a little...), but I just want to be sure you don't forget it ! ;-)

Thanks a lot for your job. Regards.

pasko's picture

Hi.

I would also like to see it updated.

For future updates: Would it be possible to change dependencies from sailfish-version = 2.2.0-1.5.29 to sailfish-version => 2.2.0-1.5.29 ?

We would not disturb you with every SFOS update :-)

Regards,

pasko's picture

Hi.

Big thanks.

Regards.

objectifnul's picture

Suggested additional feature: an indicator for Android support running.

EDIT - Nice, thanks! (But not all indicators appear in SailfishX)

EDIT again - Android indicator shows up after uninstall/reinstall. GPS indicator doesn't show up. (SailfishX)

EDIT - SFOS 2.1.4.xx : Android & GPS indicators don't show up (Xperia X)

olf's picture

@objectifnul, @Ancelad is reporting boot-loops caused by the "AlienDalvik runtime indicator" on devices without AlienDalvik (e.g. community builds of SFOS, INOI devices) and IIRC the Jolla C, see https://talk.maemo.org/showthread.php?p=1538690#post1538690

Asking again recently in order to confirm if he regards this as a hopeless case.

Ancelad's picture

I don't have any X-device to test :)

naytsyrhc's picture

I use Xperia build as well. Everything except presence indicator is working. I have a question to volume indicators though (had that on my Jolla as well): is it possible to let the 4 levels of indication be used differently? I'd love to have no "bars" on silent mode (for better recognition, icon could be striked through as well), one bar for e.g. max 20%, 2 for e.g. 50%, 3 for 70% and 4% for 90% and more. Currently it is only 3 different levels to distinguish as 0% still shows 1 bar.

olf's picture

@naytsyrhc, you may use the Patch "Volume control settings" for this in parallel to "Ultimate statusbar patch". It provides exactly the features you are asking for.

naytsyrhc's picture

Thanks for the hint. Unfortunately icons in that patch (IMHO) are not as good as the indicators provided by this patch. So I'll have to live with it for now.

Ancelad's picture

I don't know how to realize that

naytsyrhc's picture

So you have only 4 different icons to use?

Ancelad's picture

Yep

gaelic's picture

With the new update the presence indicator seems to be gone. Any hints?

carmenfdezb's picture

The same for me. I use a Xperia X

Ancelad's picture

Sorry, this indicator will work only with Jolla-phones, I don't have Xperia X for correct patching, so I was made some limitations for devices with ports.

giskard's picture

Same issue here. Jolla-1 and 2.1.3.7. Both with presence indicator under the clock and in the status bar.

Ancelad's picture

I know, but still can't fix it

Ancelad's picture

What phone do you use?

Vieno's picture

Is it just me or is there a problem with 2.1.2.3 ? It says installed but it isn't.

explit's picture

Thanks Ancelad!

Just486's picture

Please, could you solve the conflicts with Force cover size (or integrate its functionality)? I really need both patches

Ancelad's picture

No.

Just486's picture

but you just did it :O Thank you :)

Ancelad's picture

Somehow :)

Markkyboy's picture

Hi Ancelad, I get an error when trying to install; "nothing provides lipstick-jolla-home-qt5>=0.34.65.6 needed by patch" - so, it looks like I need to be running the latest EA OS to use this patch, as my lipstick version is 0.34.26.9........are any of the earlier versions working for 2.1.0.11 Iijoki?, I tried the 4th one from the bottom of you listed RPM's but that wouldn't install either - I have no patches applied and my OS install is very recent, so it should be clean - any ideas please dude?

I've made a super patch for homescreen, I would like to try and combine your most popular patches, or at least know that they can work side-by-side (no conflicts for users).

Ancelad's picture

every patch has OS-number in it's name, so every 2.1.0.11-x.rpm is compatible with SFOS 2.1.0.11

Markkyboy's picture

Okay, I thought as much. 2.1.0.11.x installs but fails to apply. 2.1.0.11 is my current OS version. At least I don't get a dependancy warning about 'nothing provides', just failure to apply - which is rather unhelpful from patchamanager point of view.  

Pages